package com.ruoyi.cai.enums.account;

import lombok.Getter;

@Getter
public enum AccountCateEnum {
    RECHARGE(1,"充值"),
    WITHDRAW(2,"提现"),
    VIDEO(3,"视频"),
    GIFT(4,"礼物"),
    SYSTEM(5,"系统"),
//    TRANS(6,"转换"),
    IM(7,"私信"),
    SYSTEM_TRANS(8,"系统调账"),
    GUARD(9,"守护"),
    UNION(10,"工会"),
    AWARD(11,"奖励"),
    ;

    private final Integer code;
    private final String text;

    AccountCateEnum(Integer code, String text) {
        this.code = code;
        this.text = text;
    }
}
